import {
  Tooltip,
  Typography,
  TypographyProps,
  TooltipProps
} from "@mui/material";

export interface EllipsisTextProps {
  TypographyProps?: TypographyProps;
  TooltipProps?: TooltipProps;
  children: string;
}

export const EllipsisText = ({
  TypographyProps,
  TooltipProps,
  children
}: EllipsisTextProps) => {
  return (
    <Tooltip
      title={children}
      arrow
      {...TooltipProps}
    >
      <Typography
        noWrap
        {...TypographyProps}
      >
        {children}
      </Typography>
    </Tooltip>
  );
};
