import { ReactNode } from "react";
import { Button, ButtonProps, Link, LinkProps } from "@mui/material";
import { Link as RouterLink } from "react-router-dom";

interface LinkDefaultProps {
  to: string;
  label?: string;
  children: string | ReactNode;
}

export interface InternalLinkProps extends LinkDefaultProps {
  LinkProps?: LinkProps;
}

export const InternalLink = ({
  label,
  to,
  LinkProps,
  children
}: InternalLinkProps) => {
  return (
    <Link
      component={RouterLink}
      to={to}
      aria-label={label || ""}
      {...LinkProps}
    >
      {children}
    </Link>
  );
};

export interface InternalButtonLinkProps extends LinkDefaultProps {
  ButtonProps?: ButtonProps;
}

export const InternalButtonLink = ({
  label,
  to,
  ButtonProps,
  children
}: InternalButtonLinkProps) => {
  return (
    <Button
      component={RouterLink}
      to={to}
      aria-label={label || ""}
      variant="contained"
      {...ButtonProps}
    >
      {children}
    </Button>
  );
};
