import { Box } from "@mui/material";
import { BugReport, AddBoxOutlined } from "@mui/icons-material";
import { IconMenuButton } from "../../../components/common/IconMenuButton";
import { IconMenuButtonProps } from "../../../components/common/IconMenuButton/IconMenuButton";

import { sbDisabledArg } from "../../utils/common-args";

export default {
  title: "Common/IconMenuButton",
  argTypes: {
    iconMenuButton: sbDisabledArg
  }
};
export const SingleButton = (args: IconMenuButtonProps) => (
  <Box
    sx={{
      background: (theme) => theme.palette.primary.main
    }}
  >
    <IconMenuButton {...args} />
  </Box>
);
SingleButton.args = {
  id: "single-story-",
  menuItems: [
    {
      text: "New IOC Type",
      action: () => alert("New IOC Type")
    }
  ]
};

export const MenuButton = (args: IconMenuButtonProps) => (
  <Box
    sx={{
      background: (theme) => theme.palette.primary.main
    }}
  >
    <IconMenuButton {...args} />
  </Box>
);
MenuButton.args = {
  id: "menu-story-",
  icon: <AddBoxOutlined />,
  menuItems: [
    {
      text: "New IOC Type",
      action: () => alert("New IOC Type")
    },
    {
      text: "Other Action",
      action: () => alert("Some other action"),
      icon: <BugReport />
    }
  ]
};
